package com.ss.android.ugc.aweme.property.bytebench;

import X.0Mi;
import X.0Mj;
import X.0Mo;
import com.bytedance.covode.number.Covode;
import com.google.gson.Gson;

public class ResolutionByteBenchStrategy$$Imp implements ResolutionByteBenchStrategy {
    public 0Mj mDefaultCreate = new 0Mj() {
        static {
            Covode.recordClassIndex(100910);
        }

        public final <T> T LIZ(Class<T> cls) {
            if (cls == String.class) {
                return new String();
            }
            return null;
        }
    };
    public Gson mGson = new Gson();
    public int mRepoName = 0;

    static {
        Covode.recordClassIndex(100909);
    }

    public void updateValue() {
    }

    public int compileVideoSizeIndex() {
        try {
            return 0Mo.LIZIZ.LIZ(this.mRepoName, "compile_video_size_index", 99);
        } catch (Exception unused) {
            return 99;
        }
    }

    public int hdCompileVideoSizeIndex() {
        try {
            return 0Mo.LIZIZ.LIZ(this.mRepoName, "high_quality_compile_video_size_index", 99);
        } catch (Exception unused) {
            return 99;
        }
    }

    public int uploadVideoSizeIndex() {
        try {
            return 0Mo.LIZIZ.LIZ(this.mRepoName, "upload_video_size_index", 0);
        } catch (Exception unused) {
            return 0;
        }
    }

    public String veCameraPreviewSize() {
        try {
            String LIZ = 0Mo.LIZIZ.LIZ(this.mRepoName, "ve_camera_preview_size");
            if (LIZ != null) {
                return LIZ;
            }
            return "";
        } catch (Exception unused) {
            return "";
        }
    }

    public int videoSizeIndex() {
        try {
            return 0Mo.LIZIZ.LIZ(this.mRepoName, "video_size_index", 0);
        } catch (Exception unused) {
            return 0;
        }
    }

    public void setByteBenchStrategy(0Mi r2) {
        this.mRepoName = r2.LIZ();
    }
}
